<?php
/*======================================================================*\
|| #################################################################### ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright  2015 Jim Dudek AKA Nhawk/Snog                        # ||
|| # All Rights Reserved.                                             # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------------------------------------------------------- # ||
|| # You are not allowed to use this file on your server unless       # ||
|| # you have purchased OSBrowser Display from snogssite.com.         # ||
|| # ---------------------------------------------------------------- # ||
|| #################################################################### ||
\*======================================================================*/

class Snog_OSBrowser_Install
{
	public static function install($installedAddon)
	{
		if (!self::checkExist('xf_post','useragent_os'))
		{
			$db = XenForo_Application::get('db');
			$db->query("ALTER TABLE `xf_post` 
				ADD `useragent_os` varchar(50) NOT NULL DEFAULT '' COLLATE utf8_general_ci,
				ADD `useragent_os_icon` varchar(50) NOT NULL DEFAULT '' COLLATE utf8_general_ci,
				ADD `useragent_browser` varchar(50) NOT NULL DEFAULT '' COLLATE utf8_general_ci,
				ADD `useragent_browser_icon` varchar(50) NOT NULL DEFAULT '' COLLATE utf8_general_ci");
		}

		if (!self::checkExist('xf_conversation_message','useragent_os'))
		{
			$db = XenForo_Application::get('db');
			$db->query("ALTER TABLE `xf_conversation_message` 
				ADD `useragent_os` varchar(50) NOT NULL DEFAULT '' COLLATE utf8_general_ci,
				ADD `useragent_os_icon` varchar(50) NOT NULL DEFAULT '' COLLATE utf8_general_ci,
				ADD `useragent_browser` varchar(50) NOT NULL DEFAULT '' COLLATE utf8_general_ci,
				ADD `useragent_browser_icon` varchar(50) NOT NULL DEFAULT '' COLLATE utf8_general_ci");
		}
	}

	public static function checkExist($table, $field)
	{
		$db = XenForo_Application::get('db');
		if ($db->fetchRow('SHOW columns FROM `' . $table . '` WHERE Field = ?', $field)) {
			return true;
		}else{
			return false;
		}
	}
}