<?php
/*======================================================================*\
|| #################################################################### ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright  2015 Jim Dudek AKA Nhawk/Snog                        # ||
|| # All Rights Reserved.                                             # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------------------------------------------------------- # ||
|| # You are not allowed to use this file on your server unless       # ||
|| # you have purchased OSBrowser Display from snogssite.com.         # ||
|| # ---------------------------------------------------------------- # ||
|| #################################################################### ||
\*======================================================================*/

class Snog_OSBrowser_Listener_Template 
{
	public static function templateHook($hookName, &$contents, array $hookParams, XenForo_Template_Abstract $template)
	{
		if($hookName == 'message_user_info_extra')
		{
			$visitor = XenForo_Visitor::getInstance()->toArray();
			if(stristr($hookParams['user']['useragent_browser_icon'],'class=') === false)
			{
				$browserclass = FALSE;
			}else{
				$browserclass = TRUE;
			}

			if(stristr($hookParams['user']['useragent_os_icon'],'class=') === false)
			{
				$osclass = FALSE;
			}else{
				$osclass = TRUE;
			}

			$contents .= $template->create('snog_osbrowser',array_merge(array('browserclass' => $browserclass, 'osclass' => $osclass, 'visitor' => $visitor),$hookParams, $template->getParams()));
		}
	}
}